@ECHO OFF
REM/*
REM * Copyright (c) 2004 Standard Performance Evaluation Corporation (SPEC)
REM *               All rights reserved.
REM *
REM * This source code is provided as is, without any express or implied warranty.
REM *
REM *  History:
REM *  Date        ID        Description
REM *  ----------  ---       ----------------------------------------------------
REM *  2002/05/15  Hogstrom  Initial version
REM *  2002/09/23  russellr  (020912) - Replaced slash (/) with back-slash (\) in 
REM *                        batch files.
REM *  2004/04/06  Kounev    Removed environment variable settings. 
REM *                        Environment should be set by calling setEnv.bat
REM *
REM */
REM
REM This file invokes the launcher program which starts the driver of SPECjAppServer.
REM
REM - Hogstrom 5/15/2002
REM
@ECHO OFF

if .%APPSSERVER%.==.. GOTO EnvNotSet

Echo The following environment settings are in effect for SPECjAppServer2004
Echo * ========================= *
Echo    JAVA_HOME=%JAVA_HOME%
Echo     JAS_HOME=%JAS_HOME%
Echo   CONFIG_DIR=%CONFIG_DIR%
Echo   APPSSERVER=%APPSSERVER%
Echo      ENVFILE=%ENVFILE%
Echo * ========================= *
            
REM This set command is needed so we can propogate the environment on Windows                      
set > winprops.txt

echo on
%JAVA_HOME%\bin\java -showversion -classpath %JAS_HOME%\jars\launcher.jar -Djava.compiler=jitc -Dspecjappserver.home=%JAS_HOME% -Dnode.name=%COMPUTERNAME% org.spec.jappserver.launcher.Script Driver %*

REM Delete the temporary file when were done

Goto Done

:EnvNotSet
Echo Please update and run setEnv.bat in the bin directory before running this command

:Done
